
//
// To jest przykładowy kod z podrozdziału 12.3 „Pierwszy przykład” książki 
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "Simple_window.h"    // Dołącza naszą bibliotekę okien.
#include "Graph.h"            // Dołącza naszą bibliotekę narzędzi graficznych.

//------------------------------------------------------------------------------

int main()
{
    using namespace Graph_lib;   // Nasze narzędzia graficzne znajdują się w przestrzeni nazw Graph_lib.

    Point tl(100,100);           // Lewy górny róg okna.

    Simple_window win(tl,600,400,"Canvas");    // Tworzy proste okno.

    Polygon poly;                // Tworzy figurę (wielokąt).

    poly.add(Point(300,200));    // Dodaje punkt.
    poly.add(Point(350,100));    // Dodaje drugi punkt.
    poly.add(Point(400,200));    // Dodaje trzeci punkt. 

    poly.set_color(Color::red);  // Ustawia właściwości wielokąta.

    win.attach (poly);           // Wiąże wielokąt z oknem.

    win.wait_for_button();       // Przekazuje kontrolę mechanizmowi wyświetlającemu.
}

//------------------------------------------------------------------------------
